# Works fine (Object is context at top level)
if today =~ /Saturday|Sunday/
  Object.class_eval { define_method(:activity) { puts "Playing!" } }
else
  Object.class_eval { define_method(:activity) { puts "Working!" } }
end

activity

